Name:          csg-bytecode
Version:       1.0.0
Release:       %mkrel 1
Summary:       CSG Bytecode Package
Group:         Development/Java
License:       ASL, BSD
Url:           http://www.claritysys.com/products/bytecode/
Source0:       http://www.claritysys.com/products/bytecode/csg-bytecode-1.0.0-src.zip
BuildRequires: ant
BuildRequires: csg-util
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: ant-junit
BuildRequires: jpackage-utils
Requires:      csg-util
Requires:      jpackage-utils
BuildArch:     noarch

%description
This is a package for reading and writing Java .class files,
such as for building a compiler or disassembler. It includes a
disassembler as well.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
CSG Bytecode Package.

This package contains javadoc for %{name}.

%prep
%setup -q -n csg-bytecode-%{version}-src

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

%build

export CLASSPATH=$(build-classpath csg-util junit)
ant -DENV.CSG_SHARED_JARS=%{_javadir} jar javadoc test

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}

install -m 644 build/csg-bytecode.jar \
  %{buildroot}%{_javadir}/csg-bytecode-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/csg-bytecode-%{version}
cp -pr build/doc/api/* %{buildroot}%{_javadocdir}/csg-bytecode-%{version}
ln -s csg-bytecode-%{version} %{buildroot}%{_javadocdir}/csg-bytecode

%files
%{_javadir}/csg-bytecode-%{version}.jar
%{_javadir}/csg-bytecode.jar

%files javadoc
%{_javadocdir}/csg-bytecode-%{version}
%{_javadocdir}/csg-bytecode



%changelog

* Sat Aug 27 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 135647
- Fix buildrequires
- Remove useless macros

  + gil <gil>
    - imported package csg-bytecode


* Wed Jun 15 2011 gil <gil> 1.0.0-0.%%mkrel
- initial rpm

